Gtk_CheckButton(3)

NAME - Gtk_CheckButton
Button with indicator

HEADER REQUIRED
#include <gtk--/checkbutton.h&gt;>

BASE CLASSES
Gtk_ToggleButton(3)

DERIVED BY
Gtk_RadioButton(3)

PUBLIC MEMBER INDEX
    Gtk_CheckButton();
      Create an empty check button.
    Gtk_CheckButton(const string &label);
      Create a check button with a label.
    Gtk_CheckButton(GtkCheckButton *castitem);
    signal void  draw_indicator(GdkRectangle*);
      Emited on button redraw to update indicator.
    GtkCheckButton*  gtkobj();
    const GtkCheckButton*  gtkobj() const;
    static bool  isGtkCheckButton(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkCheckButton  BaseObjectType;
    typedef GtkCheckButtonClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  draw_indicator_impl(GdkRectangle* p1);

PRIVATE MEMBER INDEX
    static CppClassType  check_button_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

Gtk_CheckButton::Gtk_CheckButton ();
    Create an empty check button. .
    With an empty button, you can Gtk_Button::add() a widget such as a Gtk_Pixmap or Gtk_Box.

If you just wish to add a Gtk_Label, you may want to
 use the Gtk_CheckButton(const string &label) ctor
 directly instead.

Gtk_CheckButton::Gtk_CheckButton (const string &label);
    Create a check button with a label. .
    You won't be able to add a widget in this button since it already has a Gtk_Label in it.

signal void  Gtk_CheckButton::draw_indicator (GdkRectangle*);
    Emited on button redraw to update indicator..
    Triggered when the button is redrawn (e.g.after being toggled) Overload this signal if you want to implement your own check button look. Otherwise, you most likely don't care about it. The GdkRectangle specifies the area of the widget which will get redrawn.

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS